//------------------------------------------------------------
#include <iostream>
//------------------------------------------------------------
#include "action.h"
//------------------------------------------------------------
using namespace std;
//------------------------------------------------------------
QList<Action*> Action::actions;
//------------------------------------------------------------
Action::Action(QString string, QMenu *parent)
{
	process = new QProcess;
	
	if (string.section("|", 0, 0) == "MOUNTED")
		type = 0;
	else
		type = 1;
	title = string.section("|", 1, 1);
	command = string.section("|", 2, 2);
	
	menuItem = parent->addAction(title);
	menuItem->setEnabled(false);
}
//------------------------------------------------------------
Action* Action::actionOfTitle(QString title)
{
	for (int i = 0; i < Action::actions.count(); i++)
	{
		if (Action::actions[i]->title == title)
			return Action::actions[i];
	}
	return 0;
}
//------------------------------------------------------------
void Action::execute(Device *device)
{
	QString tmpCommand = command;
	tmpCommand.replace("%d", "/dev/" + device->file);
	tmpCommand.replace("%p", device->point);
	tmpCommand.replace("%f", device->file_system);
	
	cout << endl << "Execute command: " << tmpCommand.toAscii().data();
	process->start(tmpCommand);
}
//------------------------------------------------------------
