//------------------------------------------------------------
#ifndef CONFIG_H
#define CONFIG_H
//------------------------------------------------------------
#include <QSettings>
#include <QSize>
#include <QRect>
#include <QStringList>
//------------------------------------------------------------
class Config
{
		QSettings *settings;

	public:

		QStringList actions;
		QStringList bl_of_devices;		
		QSize windowSize;
		QRect windowGeometry;
		bool hideAtStart;
		
		Config();

		void create();
		void read();
		void write();

		void setDevices();
};
//------------------------------------------------------------
#endif
//------------------------------------------------------------
