//------------------------------------------------------------
#ifndef FIRST_F_H
#define FIRST_F_H
//------------------------------------------------------------
#include "ui_first_f.h"
#include "config.h"
#include "action.h"
//------------------------------------------------------------
#include <QSystemTrayIcon>
//------------------------------------------------------------
class first_f : public QMainWindow, public Ui::first_f
{
	Q_OBJECT

	public:

		first_f( QWidget * parent = 0, Qt::WFlags f = 0 );
		
		Config *config;
		QSystemTrayIcon *sysTray;
		
		void closeEvent(QCloseEvent *event);
		void setActions();
		void updateDevices();

	private slots:

		void on_devices_l_itemSelectionChanged();
		void on_actionUpdate_triggered();
		void actionTriggered();
		void commandFinished(int exitCode, QProcess::ExitStatus exitStatus);
		void commandError(QProcess::ProcessError error);
		void on_actionAbout_Qt_triggered();
		void on_actionAbout_triggered();
		void sysTray_activated(QSystemTrayIcon::ActivationReason reason);
};
//------------------------------------------------------------
#endif
//------------------------------------------------------------
