//------------------------------------------------------------
#ifndef __ACTION_H__
#define __ACTION_H__
//------------------------------------------------------------
#include <QAction>
#include <QMenu>
#include <QProcess>
//------------------------------------------------------------
#include "device.h"
//------------------------------------------------------------
class Action
{
	public:

		Action(QString string, QMenu *parent);

		static QList <Action*> actions;
		
		QAction *menuItem;
		QProcess *process;
		QString title, command;
		int type;	/*
					0 - mounted
					1 - umounted
					*/
		static Action* actionOfTitle(QString title);
		void execute(Device *device);
};
//------------------------------------------------------------
#endif // __ACTION_H__
//------------------------------------------------------------
